package tools.descartes.PAVO.types;

/**
 * @author Maximilian König
 *
 */
public enum EnumDiagramtype {
	NONE, LINECHART, BARCHART, LINECHARTCONFIDENCE, BARCHARTCONFIDENCE, BOXPLOT, PIECHART;
	
	public String toString()
	{
		String result = "";
		switch(this)
		{
		case LINECHART:
			result =  "LineChart";
		case BARCHART:
			result =  "BarChart";
		case LINECHARTCONFIDENCE:
			result =  "LineChart with Confidence Interval";
		case BARCHARTCONFIDENCE:
			result =  "BarChart with Confidence Interval";
		case BOXPLOT:
			result =  "BoxPlot";
		case NONE:
			result =  "None";
		case PIECHART:
			result =  "PieChart";
		}
		return result;
	}

}
